'use strict';

exports.__esModule = true;

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Context = require('./Context');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Provider = function (_Component) {
  _inherits(Provider, _Component);

  function Provider() {
    _classCallCheck(this, Provider);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Provider.prototype.render = function render() {
    var _props = this.props,
        firebaseApp = _props.firebaseApp,
        context = _props.context;


    return _react2.default.createElement(
      _Context.FirekitContext.Provider,
      { value: { firebaseApp: firebaseApp, context: context } },
      this.props.children
    );
  };

  return Provider;
}(_react.Component);

Provider.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.any,
  firebaseApp: _propTypes2.default.object.isRequired
} : {};

exports.default = Provider;
module.exports = exports['default'];